Loading...
Searching...
No Matches
mqtt::connect_response Class Reference

`#include <server_response.h>`

Inheritance diagram for mqtt::connect_response:

## Public Member Functions

string | get_server_uri () const
int | get_mqtt_version () const
bool | is_session_present () const
Public Member Functions inherited from mqtt::server_response
| server_response ()
| server_response (const properties &props)
| server_response (properties &&props)
virtual | ~server_response ()
const properties & | get_properties () const noexcept

## Friends

class | token

## Detailed Description

Response for a connect request.

## Member Function Documentation

## get_server_uri()

string mqtt::connect_response::get_server_uri | ( |  | ) | const

inline

Gets the URI of the broker to which we connected.

Returns
  The URI of the broker.

## get_mqtt_version()

int mqtt::connect_response::get_mqtt_version | ( |  | ) | const

inline

Gets the MQTT version for the connection.

Returns
  The MQTT version for the connection.

## is_session_present()

bool mqtt::connect_response::is_session_present | ( |  | ) | const

inline

Determines whether a session already existed for this client on the server. This tells whether the server has a persistent session stored for the client, given the ClientID specified in the connect message.

Returns
  Whether a session already existed for this client on the server.

## Friends And Related Symbol Documentation

## token

friend class token

friend

The documentation for this class was generated from the following file:

- server_response.h